API referenceAlertRule
POST /api/AlertRule/CreateOrUpdate
POST
/api/AlertRule/CreateOrUpdatecurl -X POST "/api/AlertRule/CreateOrUpdate" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": [
{
"name": "string"
}
]
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
dataAtlas.SDK.Timeseries.Models.Alerts.AlertRuleDto[] | null
Response
application/json
OK
successbooleanrecordCountinteger<int32>dataAtlas.SDK.Timeseries.Models.Alerts.AlertRuleDto[] | null
{
"success": true,
"recordCount": 0,
"data": [
{
"id": 0,
"indexId": 0,
"name": "string",
"description": "string",
"validFrom": "2026-01-15T09:30:00Z",
"validTo": "2026-01-15T09:30:00Z",
"stepsForward": 0,
"stepsBackward": 0,
"resolution": 1,
"resolutionName": "string",
"timeZone": 0,
"timeZoneName": "string",
"fireDelaySeconds": 0,
"resolveDelaySeconds": 0,
"createdAt": "2026-01-15T09:30:00Z",
"modifiedAt": "2026-01-15T09:30:00Z",
"createdBy": "string",
"isActive": true,
"thresholds": [
{
"id": 0,
"alertRuleId": 0,
"operator": 1,
"operatorName": "string",
"value": 0,
"criticality": 1,
"criticalityName": "string",
"createdAt": "2026-01-15T09:30:00Z",
"modifiedAt": "2026-01-15T09:30:00Z",
"createdBy": "string"
}
]
}
]
}